- Qt 5.15
- Qt QML
- C++ Classes
- QQmlListProperty
- Qt 5.15.18 Reference Documentation

# Obsolete Members for QQmlListProperty

The following members of class QQmlListProperty are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` | QQmlListProperty(QObject *object, QList<T *> &list)

## Member Function Documentation

### QQmlListProperty::QQmlListProperty(QObject *object, QList<T *> &list)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Convenience constructor for making a QQmlListProperty value from an existing QList list. The list reference must remain valid for as long as object exists. object must be provided.

This constructor synthesizes the removeLast() and replace() methods introduced in Qt 5.15, using count(), at(), clear(), and append(). This is slow. If you intend to manipulate the list beyond clearing it, you should explicitly provide these methods.